# 付费服务

## 关于ApiKey

> 大部早期注册的ChatGPT账号都会赠送5或18美金额度的ApiKey，所以：
> 如果你已经拥有ChatGPT的账号，并且还没使用过ApiKey，那么建议你先到 [这里](https://platform.openai.com/account/api-keys) 查看一下自己账号ApiKey的可用情况。如果还能用，那么就不需要购买了。

## 商品信息列表

| 类型 | 套餐信息 | 价格 | 备注 |
| :---- | :---- | :---- | :---- |
| [ChatGPT账号](https://ai.com) | 无api调用额度 | 10元 | 纯ChatGPT账号 |
| [ChatGPT账号](https://ai.com) + [ApiKey](https://platform.openai.com/account/api-keys) | 5美金api调用额度 | 20元 | 约能问5000-15000次 |
| [ChatGPT账号](https://ai.com) + [ApiKey](https://platform.openai.com/account/api-keys) | 18美金api调用额度 | 已售罄 | 约能问18000-54000次 |
| [ChatGPT账号](https://ai.com) + [ApiKey](https://platform.openai.com/account/api-keys) | 120美金api调用额度 | 99元 | 约能问120000-360000次 |
| [ChatGPT Plus账号](https://ai.com) [支持GPT4.0](https://openai.com/research/gpt-4) | 官网价格20美金/月 | 暂无货 | 支持GPT4.0，速度更快更稳定 |
| [Midjourney 账号代充](https://www.midjourney.com/) | 30美金/月套餐 | 210元 | 需自备账号，账号支持共享使用 |
| [Midjourney 账号代充](https://www.midjourney.com/) | 60美金/月套餐 | 420元 | 需自备账号，账号支持共享使用 |

> 上述中ApiKey额度能问多少次只是个参考范围，实际次数跟很多因素有关，官方计费说明[看这](https://openai.com/pricing)  

## 购买方式

为保证服务质量和方便售后，暂不支持在线购买，请添加下面的微信号进行购买：

<br />
<img src="/assets/img/WeChat2.png" width=280 />
<br />

## 免费跟付费的区别

如果你是轻度使用用户，那么直接使用免费网站提供的问答服务就可以了，确实没必要自行购买ApiKey。  

购买ChatGPT账号+ApiKey和免费使用的区别如下，你可以根据下面的对比列表自行考虑是否需要入手：  

| 对比项 | 免费使用 | 付费使用 |
| :---- | :---- | :---- |
| 问答次数 | 受限于网站的限制策略 | [可获得更多的问答次数](#) |
| 问答速率 | 受限于网站的限制策略 | [可获得更快的问答速率](#) |
| 问答质量 | 受限于网站调用的模型和限定 | [跟官网提供的保持一致](#) |
| 广告提示 | 大部分有 | 没有，可畅快使用 |
| 字数限制 | 受限于网站的限制策略 | 跟OpenAI接口限制策略一致 |
| 系统消息 | 部分支持 | 可自行定制 |
| 数据安全 | 存在数据泄露风险 | 比免费的安全性相对要高 |
| 连续对话 | 部分支持 | 支持 |
| GPT共享 | 本身面向所有人 | [ApiKey可跟朋友、亲人或公司内部成员共享使用](#) |
| GPT自建应用 | 不支持 | 可自行折腾 |
| GPT自动化 | 不支持 | 可自行折腾 |
| 更多可能性 | 有限 | [可自由探索拓展](#) |

你可能更关心的是是否需要科学上网的问题：  

坦诚来说，无论使用免费还是付费，基本都需要科学上网，不科学上网的大多都相对难用，又或者都是为了割韭菜而存在的。  
也确实存在好用又不需要科学上网的免费网站，但很容易被举报，用不了多久就会被墙或者被封号。  

## 使用账号和使用ApiKey的区别

对于不熟悉ChatGPT的用户来说，可能需要了解使用账号和使用ApiKey的区别：

| 对比项 | 账号 | ApiKey |
| :---- | :---- | :---- |
| 使用方式 | <span style="color:#F00">只能在ChatGPT官网使用</span> | 可在任意支持ApiKey的网站上使用 |
| 网络要求 | <span style="color:#F00">对IP有较高要求，亚洲区IP容易受限</span> | 无严格的IP区域限制 |
| 问答次数 | 只要账号可用，可一直问答 | <span style="color:#F00">问答次数跟ApiKey额度有关</span> |
| 使用期限 | 只要账号可用，可一直使用 | <span style="color:#F00">一般只有1-3个月的使用期限</span> |
| 问答速度 | <span style="color:#F00">时快时慢，不太稳定</span> | 取决支持ApiKey的网站，大部分可畅快使用 |
| 问答质量 | 经官方调教，比ApiKey质量稍好 | 略逊于官网，但差距不大 |
| AI模型 | GTP3.5，plus账号支持GPT4.0 | 最高支持GTP3.5 |
| 数据安全 | 由OpenAI提供保障 | 由使用ApiKey的网站提供保障 |
| 连续对话 | 支持 | 支持 |
| 共享使用 | <span style="color:#F00">存在封号风险</span> | [可跟朋友、亲人或公司内部成员共享使用](#) |
| GPT自建应用 | 不支持 | 可自行折腾 |
| GPT自动化 | 不支持 | 可自行折腾 |
| 更多可能性 | 有限 | [可自由探索拓展](#) |

对于普通用户来说，最应该关注的是`使用方式`和`网络要求`这两点，大部分不具备折腾能力，通过账号来使用GPT会给你带来很多障碍，
一通体验下来会让你感觉十分挫败，所以建议大部分用户通过ApiKey来畅快使用ChatGPT。

## ChatGPT的ApiKey使用方式

当你拥有了ApiKey后推荐到下面的网址进行使用：

| 网站 | 描述 | 备注 |
| :---- | :---- | :---- |
| [Hello-AI](https://chat.in.anzz.top/) | HelloAI用户优享，极速对话 | [需自备ApiKey](./buy.md) 无需科学上网 |
| [ChatBotUI](https://www.chatbotui.com/zh) | GitHub开源高赞应用 | [需自备ApiKey](./buy.md) 无需科学上网 |
| [YakGPT](https://yakgpt.vercel.app/) | GitHub开源高赞应用 | [需自备ApiKey](./buy.md) [需科学上网](./airport.md) |
